=== debian/control ===
Source: sixpack
Section: contrib/science
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Carlo Segre <segre@debian.org>
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), 
               python-tk, python-pmw
X-Python-Version: >= 2.4
Homepage: http://www-ssrl.slac.stanford.edu/~swebb/sixpack.htm
Standards-Version: 3.9.2

Package: sixpack
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ifeffit, python-tk, python-pmw, 
         tix, python-ifeffit, python-numpy, blt, python-scientific
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: full-featured package for XAS analysis
 Sam's Interface for XAS Package, or SIXPack for short, is the unification 
 of the previously named SamXAS and SamView programs into a single analysis 
 package.  Thus the package can guide the user through data averaging and 
 calibration, background removal, and many aspects of fitting.
